Skip to main content

Assignable Role Proxy

View as Markdown

Role object

namestringPublic Preview

Role to assign to a principal or a list of principals on a resource.

Get assignable roles for a resource Public Preview

GET /api/2.0/preview/accounts/access-control/assignable-roles

Gets all the roles that can be granted on an account level resource. A role is grantable if the rule set on the resource can contain an access rule of the role.

API scopes: access-management

Parameters

account_idstringquery

<Databricks> account ID.

resourcestringRequiredquery

The resource name for which assignable roles will be listed.

ExamplesSummary
resource=accounts/<ACCOUNT_ID>A resource name for the account.
resource=accounts/<ACCOUNT_ID>/groups/<GROUP_ID>A resource name for the group.
resource=accounts/<ACCOUNT_ID>/servicePrincipals/<SP_ID>A resource name for the service principal.
resource=accounts/<ACCOUNT_ID>/tagPolicies/<TAG_POLICY_ID>A resource name for the tag policy.

Response

Returns a list of Role objects.